std::ranges::zip_view::begin(3)

NAME
std::ranges::zip_view::begin - std::ranges::zip_view::begin

Synopsis
   constexpr auto begin() (1) (since C++23)
       requires (!(/*simple-view*/<Views> && ...));
   constexpr auto begin() const (2) (since C++23)
       requires (ranges::range<const Views> && ...);
   Obtains the beginning iterator of zip_view.
   1) Equivalent to return /*iterator*/<false>(/*tuple-transform*/(ranges::begin,
   views_));.
   2) Equivalent to return /*iterator*/<true>(/*tuple-transform*/(ranges::begin,
   views_));.

Parameters
   (none)

Return value
   Iterator to the first element.

Notes
   ranges::range<const ranges::zip_view<Views...>> is modeled if and only if for every
   type Vi in Views..., const Vi models range.

Example
    This section is incomplete
    Reason: no example

See also
   end returns an iterator or a sentinel to the end
   (C++23) (public member function)
   ranges::begin returns an iterator to the beginning of a range
   (C++20) (customization point object)

Category:
     * Todo no example